/*------------------------------------*\
    #NEWS-SLIDER
\*------------------------------------*/
/**
 * News slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-news-slider-space-vertical: $inuit-base-space-vertical;

.#{$inuit-namespace}partner-slider,
%#{$inuit-namespace}partner-slider {
    margin-bottom: $inuit-base-space-vertical-small-only;
    margin-top: 0;
    position: relative;
    padding: 0;

    // Typically sections get their bottom padding removed when they're the
    // last section on the page. This re-adds the padding to the news-slider.
    // It also remove the bottom margin so the footer won't move down too far.
    &:last-of-type {
        margin-bottom: 0;
        padding-bottom: $inuit-news-slider-space-vertical;
    }

    .slick-list {
        margin: 0;
        padding: 0;

        .cssvwunit & {
            margin: 0;
        }
    }

    .c-news-slider__arrow {
        border: 0;
        background: $drk-color-white-alpha;
        color: $drk-color-blue;
        padding: 10px;
        top: 0;
        height: auto;
        margin-top: 0;
        position: absolute;
        z-index: 10;
        width: auto;

        @include drk-hover {
            color: darken($drk-color-blue, 20);
        }

        > svg {
            height: rem-calc(50px);
            width: rem-calc(50px);
        }

        &--prev {
            left: auto;
            position: absolute;
            right: 70px;
        }

        &--next {
            right: 0;
            position: absolute;
        }
    }
}

.#{$inuit-namespace}partner-slider__item,
%#{$inuit-namespace}partner-slider__item {
    padding: 0;

    &.slick-active {
        text-decoration: inherit;
    }

    .o-cms-content {
        padding: 0;
    }
}
